package subscribe

import (
	"context"

	"git.loafle.net/overflow/overflow_gateway_web/server"
	ofs "git.loafle.net/overflow/overflow_subscriber"
)

func newWebSubscriberHandler(ctx context.Context, channel string) ofs.SubscriberHandler {
	h := &webSubscriberHandlers{
		ctx: ctx,
	}
	h.Channel = channel

	return h
}

type webSubscriberHandlers struct {
	ofs.SubscriberHandlers
	ctx context.Context
}

func (h *webSubscriberHandlers) OnSubscribe(payload string) {
	uid := "kdkdkd"
	channel := "web"
	soc := server.GetSocket(channel, uid)

	soc.Write([]byte(payload))
}
